<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=busqueda_docente.xls");

/*****************************************/
$o_ObjectBean = new SucursalBean();

if($IdSucursal){
  if($IdSucursal   != ""){ $o_ObjectBean->setIdSucursal($IdSucursal); }

}else{
  
  if($Descripcion   !=""){ $o_ObjectBean->setDescripcion($Descripcion); }
  if($cboEstado    !=""){ $o_ObjectBean->setEstado($cboEstado); } 
}

$o_class = new SucursalBL();
$a_ObjectBean = $o_class->busquedaSucursal($o_ObjectBean);

/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table>
        <tr>
          <td>
            <table border="1">
              <tr>
                <th>Nro&nbsp;</th>
                <th>Sucursal&nbsp;</th>
                <th>Administrador&nbsp;</th>
                <th>Estado&nbsp;</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
                <td><?=($i+1)?></td>
               
                 <td><?=$o_objBean->getDescripcion()?>&nbsp;</td>
                 <td><?=$o_objBean->getObjectColaborador()->getNombreCompleto()?>&nbsp;</td>
                <td><?=$o_objBean->getEstado()?>&nbsp;</td>
              </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>